Public Member Functions | Public Attributes | List of all members
PowerPoint3ParserInternal::Polygon Struct Reference

Internal: a polygon of a PowerPoint3Parser. More...

## Public Member Functions
| Polygon ()
| constructor More...
bool | updateShape (MWAWBox2f const &finalBox, MWAWGraphicShape &shape) const
| update the shape More...

## Public Attributes
int | m_type
| the polygon type More...
MWAWBox2i | m_box
| the bdbox More...
std::vector< MWAWVec2f > | m_vertices
| the list of points More...

## Detailed Description

Internal: a polygon of a PowerPoint3Parser.

## Constructor & Destructor Documentation

## ◆ Polygon()

PowerPoint3ParserInternal::Polygon::Polygon | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ updateShape()

bool PowerPoint3ParserInternal::Polygon::updateShape | ( | MWAWBox2f const & | finalBox,
|  | MWAWGraphicShape & | shape
| ) |  | const

update the shape

Referenced by PowerPoint3Parser::sendFrame().

## Member Data Documentation

## ◆ m_box

MWAWBox2i PowerPoint3ParserInternal::Polygon::m_box

the bdbox

Referenced by PowerPoint3Parser::readSlidePolygons().

## ◆ m_type

int PowerPoint3ParserInternal::Polygon::m_type

the polygon type

Referenced by PowerPoint3Parser::readSlidePolygons().

## ◆ m_vertices

std::vector<MWAWVec2f> PowerPoint3ParserInternal::Polygon::m_vertices

the list of points

Referenced by PowerPoint3Parser::readSlidePolygons().

The documentation for this struct was generated from the following file:

- PowerPoint3Parser.cxx